/*
 * skIRremote: FoxtelIRsendDemo - demonstrates sending IR codes with IRsend
 * An IR LED in series with a resistor (180r) must be connected to Arduino PWM pin 3 and GND long led lead to +ve.
 * Version 0.1 July, 2017
 * http://sikkits.com
 * *The circuit:
 * RX is digital pin 10 (connect to TX of other device(bluetooth))
 * TX is digital pin 11 (connect to RX of other device(bluetooth))
 * pin3 to led postitve(long) , led negative to 180R resistor to gnd.
 * 
 * 
 */
#include <SoftwareSerial.h>
#include <skIRremote.h>

IRsend irsend;
SoftwareSerial mySerial(10, 11,false); // RX, TX
void setup()
{
  Serial.begin(9600);
  mySerial.begin(9600);
mySerial.println("Hello, world?");
  mySerial.listen();
}
byte a;
char c;

void loop() {
c= 0;  
a = 0;
 c = mySerial.read();//get a byte from software serial port
 //c = Serial.read();  //get a byte from main serial port 
Serial.println(c,HEX);
  
 switch(c){
 case '1':
 a = 0x29;
 break;
 
  case '2':
 a = 0x2c;
 break;

 case '3':
 a = 0x28;
 break;
  case '4':
 a = 0x30;
 break; 
 } 
  
  if (a!= 0) {
    for (int i = 0; i < 3; i++) {
      irsend.sendFox(a); // IQ command 
      delay(40);
    }
    delay(50);
  
  }
}